Package org.gradle.language.rc

# Interface WindowsResourceSet

All Superinterfaces:
  `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `HeaderExportingSourceSet`, `LanguageSourceSet`, `ModelElement`, `Named`, `NativeResourceSet`

@Incubating public interface WindowsResourceSet extends LanguageSourceSet, HeaderExportingSourceSet, NativeResourceSet
A set of Windows Resource definition files.

A Windows Resource set contains a set of script files, together with an optional set of header files.

     apply plugin: "windows-resources"

     model {
         components {
             main(NativeLibrarySpec) {
                 sources {
                     rc {
                         source {
                             srcDirs "src/main/rc"
                             include "**/*.rc"
                         }
                         exportedHeaders {
                             srcDirs "src/main/include"
                         }
                     }
                 }
             }
         }
     }

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

### Methods inherited from interface org.gradle.api.Buildable

`getBuildDependencies`

### Methods inherited from interface org.gradle.api.BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.language.nativeplatform.HeaderExportingSourceSet

`getExportedHeaders, getImplicitHeaders`

### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

`generatedBy, getParentName, getSource`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName, getName`